[CentOS] Rebuilding RPMs

Matt Hyclak hyclak at math.ohiou.edu
Sat Nov 12 05:52:39 UTC 2005

On Sat, Nov 12, 2005 at 01:50:38AM +0000, Karanbir Singh enlightened us:
> Bowie Bailey wrote:
> >I am trying to install the Cluster RPMS from rpm.karan.org.  But since I
> >have updated my kernel with yum, I have the wrong kernel for a couple of 
> >the
> >packages.
> >
> ># rpm -i --test cman-kernel-smp-2.6.9-36.0.i686.rpm
> >error: Failed dependencies:
> >        /lib/modules/2.6.9-11.ELsmp is needed by
> >cman-kernel-smp-2.6.9-36.0.i686
> >        kernel-smp = 2.6.9-11.EL is needed by
> >cman-kernel-smp-2.6.9-36.0.i686
> ># uname -a
> >Linux bnofdnbackup.buc.com 2.6.9-22.0.1.ELsmp #1 SMP Thu Oct 27 13:14:25 
> >CDT
> >2005 i686 i686 i386 GNU/Linux
> >
> >I think I can just grab the source RPM and do a rebuild, but having never
> >attempted that before, I just want to make sure I'm not missing anything.
> >(I have built RPMs from source tarballs, so I know how to setup the build
> >environment)
> >
> >It looks like I can just do this:
> >
> ># rpmbuild --rebuild cman-kernel-2.6.9-36.0.src.rpm
> >
> >Is there anything else I need to do?
> >
> Just simple rebuilds will work, you might need to work out what order 
> they are built in - and some pkgs like the cman-kernel need a specified 
> --target i686 passed in via the rpmbuild.

And if you're brave, I'm working on the "RHEL4 stable" branch from CVS. I'm
hoping to have it finished by the end of the weekend, but that all depends
on how many more spec files I have to fix. 

I'll let you know when they're done.


Matt Hyclak
Department of Mathematics 
Department of Social Work
Ohio University
(740) 593-1263

More information about the CentOS mailing list